git-branchless(1)

NAME
git-branchless - Branchless workflow for Git

SYNOPSIS
git-branchless [-C ] [--color] [-h|--help] [-V|--version] <subcommands>

DESCRIPTION
Branchless workflow for Git.

See the documentation at https://github.com/arxanas/git-branchless/wiki.

OPTIONS

-C=WORKING_DIRECTORY
    Change to the given directory before executing the rest of the program. (The option is called `-C` for symmetry with Git.)

--color=COLOR
    Flag to force enable or disable terminal colors
    Possible values:

    •   auto: Automatically determine whether to display colors from the terminal and environment variables. This is the default behavior

    •   always: Always display terminal colors

    •   never: Never display terminal colors

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

git-branchless-amend(1)
    Amend the current HEAD commit

git-branchless-bug-report(1)
    Gather information about recent operations to upload as part of a bug report

git-branchless-difftool(1)
    Use the partial commit selector UI as a Git-compatible difftool; see git-difftool(1) for more information on Git difftools

git-branchless-gc(1)
    Run internal garbage collection

git-branchless-hide(1)
    Hide the provided commits from the smartlog

git-branchless-init(1)
    Initialize the branchless workflow for this repository

git-branchless-install-man-pages(1)
    Install git-branchless's man-pages to the given path

git-branchless-move(1)
    Move a subtree of commits from one location to another

git-branchless-next(1)
    Move to a later commit in the current stack

git-branchless-prev(1)
    Move to an earlier commit in the current stack

git-branchless-query(1)
    Query the commit graph using the "revset" language and print matching commits

git-branchless-repair(1)
    Restore internal invariants by reconciling the internal operation log with the state of the Git repository

git-branchless-restack(1)
    Fix up commits abandoned by a previous rewrite operation

git-branchless-record(1)
    Create a commit by interactively selecting which changes to include

git-branchless-reword(1)
    Reword commits

git-branchless-smartlog(1)
    `smartlog` command

git-branchless-submit(1)
    Push commits to a remote

git-branchless-switch(1)
    Switch to the provided branch or commit

git-branchless-sync(1)
    Move any local commit stacks on top of the main branch

git-branchless-test(1)
    Run a command on each commit in a given set and aggregate the results

git-branchless-undo(1)
    Browse or return to a previous state of the repository

git-branchless-unhide(1)
    Unhide previously-hidden commits from the smartlog

git-branchless-wrap(1)
    Wrap a Git command inside a branchless transaction

git-branchless-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v0.10.0

AUTHORS
Waleed Khan <me@waleedkhan.name>